Skip to content
Guides
API reference
stabledraft:read

Get order draft

GET/v1/order-drafts/{draftId}

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Path Parameters

draftId*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/order-drafts/string"
{  "id": "string",  "storeId": "string",  "customerId": null,  "cartId": null,  "draftNumber": "string",  "currencyCode": "string",  "source": null,  "notes": null,  "email": null,  "phone": null,  "firstName": null,  "lastName": null,  "identificationType": null,  "identificationNumber": null,  "entityTaxId": null,  "entityName": null,  "status": "draft",  "draftDate": "2019-08-24T14:15:22Z",  "sentAt": null,  "viewedAt": null,  "acceptedAt": null,  "rejectedAt": null,  "expiredAt": null,  "cancelledAt": null,  "convertedAt": null,  "shareToken": null,  "shareExpiresAt": null,  "allowAnonymousShareAccess": true,  "sharedAt": null,  "billingAddress": {    "name": null,    "company": null,    "address1": "string",    "address2": null,    "city": "string",    "countryCode": "string",    "province": null,    "postalCode": null,    "district": null,    "phone": null,    "latitude": null,    "longitude": null,    "metadata": null  },  "shippingAddress": {    "name": null,    "company": null,    "address1": "string",    "address2": null,    "city": "string",    "countryCode": "string",    "province": null,    "postalCode": null,    "district": null,    "phone": null,    "latitude": null,    "longitude": null,    "metadata": null  },  "metadata": {},  "subTotal": 0.1,  "discount": 0.1,  "shipping": 0.1,  "tax": 0.1,  "warranty": 0.1,  "total": 0.1,  "paymentMethod": "string",  "paymentCode": "string",  "items": [    {      "id": "string",      "productId": null,      "sellerId": null,      "shippingProfileId": null,      "variantId": null,      "title": "string",      "subtitle": null,      "thumbnail": null,      "quantity": 0,      "unitPrice": 0.1,      "subTotal": 0.1,      "discount": 0.1,      "shipping": 0.1,      "tax": 0.1,      "warranty": 0.1,      "total": 0.1,      "requiresShipping": true,      "isTaxInclusive": true,      "metadata": {}    }  ],  "shippingMethods": [    {      "id": "string",      "name": "string",      "description": null,      "subtotal": 0.1,      "discountTotal": 0.1,      "taxTotal": 0.1,      "total": 0.1,      "isTaxInclusive": true,      "sellerId": null,      "shippingProfileId": null,      "shippingMethodId": null,      "connectionId": null,      "providerName": null,      "trackingCode": null,      "estimatedDays": null,      "zoneCode": null,      "locationId": null,      "pickupPointId": null,      "scheduledDate": null,      "scheduledTime": null,      "data": {}    }  ],  "createdOn": "2019-08-24T14:15:22Z",  "updatedOn": null}